> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/modifysnapshotsattribute.md).

# ModifySnapshotsAttribute

## 1. API Description

This API (ModifySnapshotsAttribute) is used to modify the attributes of the specified snapshot.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Batch operations are supported. The maximum number of snapshots in each request is 100.</mark>
* <mark style="color:blue;">If any of the snapshot IDs does not exist, the operation will fail immediately.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                                                                                                      |
| -------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| snapshotIds    | Yes      | Array of String | List of snapshot IDs.                                                                                                                                                                                                                            |
| snapshotName   | No       | String          | Snapshot name.                                                                                                                                                                                                                                   |
| retentionTime  | No       | String          | <p>Snapshot expiration time.</p><p>Format: YYYY-MM-ddTHH:mm:ssZ.</p><p>If you want to change it to indefinite retention, please set isPermanent = true . If you set the custom retention, it must be set to 24 hours after the current time.</p> |
| isPermanent    | No       | Boolean         | Whether the snapshots created by the snapshot schedule are retained indefinitely.                                                                                                                                                                |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the attributes of the specified snapshot. Modify the name and set the retention time to indefinite.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifySnapshotsAttribute
<Common Request Params>

Request：
{
    "snapshotIds": ["snapshotId1","snapshotId2"],
    "snapshotName": "snap_201711301143",
    "isPermanent": true
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                          | Description              |
| ---------------- | ----------------------------------- | ------------------------ |
| 404              | INVALID\_DISK\_SNAPSHOT\_NOT\_FOUND | Snapshot does not exist. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/modifysnapshotsattribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
